Skip to main content
POST
/
users
/
{uid}
/
friends
Add Friends
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/friends \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "accepted": [
    "<string>"
  ]
}
'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/friends"

payload = { "accepted": ["<string>"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accepted: ['<string>']})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/friends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "accepted": {
      "cometchat-uid-2": {
        "success": true,
        "message": "Created relationship with status accepted."
      },
      "cometchat-uid-3": {
        "success": true,
        "message": "Created relationship with status accepted."
      }
    }
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

An UID of a user.

Body

application/json
accepted
string[]

The array of UIDs of the friends.

Response

200 - application/json

Added Friend

data
object